/*
 * =====================================================================================
 *
 *       Filename:  fmutils.h
 *
 *    Description:  fmutils header file
 *
 *        Version:  1.0
 *
 *         Author:  Alexander Aring, a.aring@phytec.de
 *        Company:  PHYTEC
 *
 * =====================================================================================
 */

#ifndef __FMUTILS_H__
#define __FMUTILS_H__

#include <stdio.h>
#include <stdlib.h>
#include <libkmod.h>
#include <errno.h>


/*-----------------------------------------------------------------------------
 *  Load modules from modules array.
 *-----------------------------------------------------------------------------*/
int fmutils_modprobe(char *modules[]);

/*-----------------------------------------------------------------------------
 *  Unload modules from modules array.
 *-----------------------------------------------------------------------------*/
int fmutils_rmmod(char *modules[]);

#endif /* __FMUTILS_H__ */

