# -*-makefile-*-
#
# Copyright (C) 2013 by Phytec Messtechnik GmbH, Christian Hemp
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_V4L2_C_EXAMPLES) += v4l2_c-examples

V4L2_C_EXAMPLES_VERSION	:= 1.0

$(STATEDIR)/v4l2_c-examples.targetinstall:
	@$(call targetinfo)

	@$(call install_init,v4l2_c-examples)
	@$(call install_fixup,v4l2_c-examples,PRIORITY,optional)
	@$(call install_fixup,v4l2_c-examples,SECTION,base)
	@$(call install_fixup,v4l2_c-examples,AUTHOR,"Christian Hemp")
	@$(call install_fixup,v4l2_c-examples,DESCRIPTION,missing)

	@$(call install_alternative_tree, v4l2_c-examples, 0, 0, /home/v4l2_c-examples)


	@$(call install_finish, v4l2_c-examples)
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

# vim: syntax=make
